aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorDenis Vlasenko <vda.linux@googlemail.com>2007-08-06 12:18:01 +0000
committerDenis Vlasenko <vda.linux@googlemail.com>2007-08-06 12:18:01 +0000
commit73f21e9cb3aaa6f1643d2edc4f6abceda9a17834 (patch)
treeac422000abb925d3055212647cdd815901954db6 /scripts
parent8274e06677ba55532a4e1488b659f0b1e743130e (diff)
downloadbusybox-73f21e9cb3aaa6f1643d2edc4f6abceda9a17834.tar.gz
trylink: s/&& exit 1/|| exit 1/ (spotted by Alex Landau <landau_alex@yahoo.com>)
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/trylink2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/trylink b/scripts/trylink
index b8bf8b1c7..74acb4cdd 100755
--- a/scripts/trylink
+++ b/scripts/trylink
@@ -60,7 +60,7 @@ $ever_discarded && {
# Make the binary with final, minimal list of libs
echo "Final link with: $BBOX_LIB_LIST"
l_list=`echo "$BBOX_LIB_LIST" | sed -e 's/ / -l/g' -e 's/^/-l/'`
- try "-Wl,--start-group $l_list -Wl,--end-group" "$@" && exit 1
+ try "-Wl,--start-group $l_list -Wl,--end-group" "$@" || exit 1
}
rm busybox_ld.err
exit 0 # Ensure "success" exit code